Commerce Checkout
Update checkout settings
Update the WhatsApp checkout configuration.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
commerce_checkout_settings
Update checkout settings
curl --request PATCH \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/commerce_checkout_settings \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"default_currency": "<string>",
"payment_methods_mode": "<string>",
"cod_enabled": true,
"cart_recovery_enabled": true,
"quiet_hours_enabled": true,
"quiet_hours_start": "<string>",
"quiet_hours_end": "<string>",
"default_locale": "<string>",
"payment_gateways": "<array>",
"supported_locales": "<array>",
"messages": {},
"templates": {}
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/commerce_checkout_settings"
payload = {
"default_currency": "<string>",
"payment_methods_mode": "<string>",
"cod_enabled": True,
"cart_recovery_enabled": True,
"quiet_hours_enabled": True,
"quiet_hours_start": "<string>",
"quiet_hours_end": "<string>",
"default_locale": "<string>",
"payment_gateways": "<array>",
"supported_locales": "<array>",
"messages": {},
"templates": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
default_currency: '<string>',
payment_methods_mode: '<string>',
cod_enabled: true,
cart_recovery_enabled: true,
quiet_hours_enabled: true,
quiet_hours_start: '<string>',
quiet_hours_end: '<string>',
default_locale: '<string>',
payment_gateways: '<array>',
supported_locales: '<array>',
messages: {},
templates: {}
})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/commerce_checkout_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Body
application/json
Currency
Payment methods mode
Enable cash on delivery
Enable cart recovery
Defer proactive sends in quiet hours
Quiet hours start
Quiet hours end
Default locale
Enabled gateways
Supported locales
Message overrides
Template mappings
Response
Successful response
⌘I
Update checkout settings

